<?php
/*
	header('Content-type:application/xls');
  header("Content-Type: application/vnd.ms-excel; charset=utf-8");
	header('Content-Disposition: attachment; filename=postulaciones.xls');*/
  header("Content-Type:   application/vnd.ms-excel; charset=utf-8");
header("Content-Disposition: attachment; filename=postulaciones.xls");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Cache-Control: private",false);
 
	include('db___cn.php');
 $mysqli=conex_db_mysql();

       $listar_convocatorias="SELECT IdBolsaLaboral,Titulo,FechaLimite 
                              FROM tb_bolsa_laboral ORDER BY FechaLimite DESC";
      $rs_convocatorias=$mysqli->query($listar_convocatorias);
     echo '<div class="table-responsive">
            <table id="simpletable" class="table table-striped table-bordered">
              <thead class="table-info">
                <tr>
                  <th>N&#176;</th>
                  <th>Convocatoria</th>
                  <th>Cant. Postulantes</th>
                  <th>Fecha L&#237;mite</th>
                 </tr>
              </thead>
              <tbody>';
                
                 $contador=1;
                 $NumPostulaciones=0;
                        while($fila_convocatoria=mysqli_fetch_array($rs_convocatorias))
                        { $fecha_limite = new DateTime($fila_convocatoria['FechaLimite']);
                           $postulaciones="SELECT IdPostulacion FROM tb_bolsa_laboral_postulaciones 
                                              WHERE IdBolsaLaboral=".$fila_convocatoria['IdBolsaLaboral'];
                          $rs_postulaciones=$mysqli->query($postulaciones);
                          $NumPostulaciones=mysqli_num_rows($rs_postulaciones);
                 echo'<tr>';
                            echo'<td>'.$contador.'</td>';
                            echo'<td>'.utf8_encode(utf8_decode($fila_convocatoria['Titulo'])).'</td>';
                            
                            echo'<td>'.$NumPostulaciones.'</td>';
                            echo'<td>'.$fecha_limite->format('d-m-Y').'</td>';
                       echo'</tr>';
                          $contador++;
                } 
             echo '</tbody>
            </table>
            </div>';    
mysqli_close($mysqli);
?>
